Uploaded image for project: 'Identity Gateway'
  1. Identity Gateway
  2. OPENIG-4651

UI: Required validation not working for "scopes" in OAuth2RSFilter

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 7.0.0
    • Fix Version/s: 7.0.0
    • Component/s: UI - Freeform Editor
    • Labels:
      None

      Description

      "scopes" is a required field of OAuth2ResourceServerFilter, but this isn't enforced in the freeform editor, in both the node editor and the API security template.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                cameron.martin Cameron Martin
                Reporter:
                cameron.martin Cameron Martin
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: